# $Revision: 1.13 $, $Date: 2002/11/08 18:24:45 $
#
# _with_mmx - uses MMX asm (won't run on non-MMX CPU!)
Summary:	DV video software codec
Summary(pl):	Biblioteka do obsugi formatu wideo DV
Name:		libdv
Version:	0.98
Release:	2
License:	GPL
Group:		X11/Libraries
Source0:	http://download.sourceforge.net/libdv/%{name}-%{version}.tar.gz
Patch0:		%{name}-extern.patch
URL:		http://libdv.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	gtk+-devel >= 1.2.10-3
BuildRequires:	pkgconfig >= 0.7
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The Quasar DV codec (libdv) is a software codec for DV video. DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface. libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M. See http://libdv.sourceforge.net/ for more.

%description -l pl
Quasar DV (libdv) jest bibliotek do obsugi obrazu DV. DV jest
formatem stosowanym przez wikszo cyfrowych urzdze, zwykle tych,
ktre uywaj interfejsu IEEE 1394 (FireWire/i.Link). libdv jest
pisany zgodnie z oficjalnymi standardami DV, IEC 61834, SMPTE 314M.

%package -n dv
Summary:	Programs to encode and play DV files
Summary(pl):	Programy do kodowania i odtwarzania plikw DV
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description -n dv
Programs to encode and play DV files.

%description -n dv -l pl
Programy do kodowania i odtwarzania plikw DV.

%package devel
Summary:	DV library headers
Summary(pl):	Pliki nagwkowe biblioteki DV
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%description devel -l pl
Pliki nagwkowe potrzebne do budowania programw korzystajcych z
libdv.

%package static
Summary:	DV static libraries
Summary(pl):	Statyczne biblioteki do obsugi formatu DV
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This is package with static libdv libraries.

%description static -l pl
Statyczna wersja biblioteki libdv.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-shared \
	--without-debug \
	%{!?_with_mmx:--disable-asm}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.* TODO
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n dv
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/*.la
%{_includedir}/libdv
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libdv.spec,v $
Revision 1.13  2002/11/08 18:24:45  marcus
- added one symbol for quicktime2linux
- rel.2.

Revision 1.12  2002/11/06 17:37:04  qboosh
- new %%doc

Revision 1.11  2002/11/05 20:48:22  aflinta
- updated to version 0.98

Revision 1.10  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/21 19:48:20  qboosh
- buildrequire gtk+-devel with fixed pkgconfig file
- release 3

Revision 1.7  2001/10/03 16:42:30  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.6  2001/06/28 02:36:25  kloczek
- added "pkgconfig >= 0.7" to BuildRequires.

Revision 1.5  2001/06/27 21:17:45  qboosh
- fixed pkgconfigdir path

Revision 1.4  2001/06/27 16:12:18  qboosh
- updated to 0.9, removed obsolete opt patch
- added bcond for mmx (optimized version won't run on non-mmx)

Revision 1.3  2001/03/11 20:25:55  kloczek
- few cosmetics,
- moved %doc to devel.

Revision 1.2  2001/03/11 07:17:46  qboosh
- opt patch, %%configure --without-debug

Revision 1.1  2001/02/15 23:32:41  wrobell
- created from template
